### Method

# Fwupd Client connect_async

since: 1.5.0

#### Declaration [src]

    void
    fwupd_client_connect_async (
      FwupdClient* self,
      GCancellable* cancellable,
      GAsyncReadyCallback callback,
      gpointer callback_data
    )

#### Description [src]

Sets up the client ready for use. This is probably the first method you call when wanting to use libfwupd in an asynchronous manner.

Other methods such as `fwupd_client_get_devices_async()` should only be called after `fwupd_client_connect_finish()` has been called without an error.

Available since: 1.5.0

This method completes asynchronously. Use `fwupd_client_connect_finish()` inside the `GAsyncReadyCallback` to obtain the result of the operation.

#### Parameters

`cancellable`

  Type: `GCancellable`

  Optional `GCancellable`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`callback`

  Type: `GAsyncReadyCallback`

  The function to run on completion.

  The argument can be `NULL`.

`callback_data`

  Type: `gpointer`

  The data to pass to `callback`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.